/* ICeCoffEE */

#import "ICeCoffEESuper.h"
#import "ICeCoffEEShared.h"

#if ICCF_DEBUG
#define ICLog NSLog
#else
#define ICLog (void)
#endif

#define ICCF_OSErrAssert(err, context) NSAssert(err == noErr, ICCF_ErrString(err, context));
#define ICCF_OSErrCAssert(err, context) NSCAssert(err == noErr, ICCF_ErrString(err, context));

extern const long ICCF_MAX_URL_LEN;
extern BOOL ICCF_enabled;

// functions shared between implementations
NSString *ICCF_ErrString(OSStatus err, NSString *context);
void ICCF_HandleException(NSException *e);
BOOL ICCF_EventIsCommandMouseDown(NSEvent *e);
void ICCF_CheckRange(NSRange range);
void ICCF_Delimiters(NSCharacterSet **leftPtr, NSCharacterSet **rightPtr);
void ICCF_StartIC();
void ICCF_StopIC();
void ICCF_ParseURL(NSString *string, NSRange *range);
void ICCF_LaunchURL(NSString *string);
void ICCF_LaunchURLFromTextView(NSTextView *self);
NSMenu *ICCF_MenuForEvent(NSTextView *self, NSMenu *contextMenu, NSEvent *e);

@interface ICeCoffEE : ICeCoffEESuper

@end
