#!/bin/sh

set -x -v

PACKAGEDIR="$PWD"
PRODUCT="ICeCoffEE"

cd "$PRODUCT" && \
find . -name \*~ -exec rm '{}' \; && \
VERSION=`cat VERSION` && \
DMG="$PRODUCT-$VERSION.dmg" VOL="$PRODUCT $VERSION" MOUNTPOINT="/Volumes/$VOL" && \
DSTROOT="$PACKAGEDIR/$VOL" && \
sudo rm -fr "$DSTROOT" && \
sudo rm -rf build/ && \
rm -rf build/ && \
pbxbuild install -target "ICeCoffEE Installer" "DSTROOT=$DSTROOT" && \
sudo rm -rf build/ && \
mv "$DSTROOT/$PRODUCT Installer.app" "$DSTROOT/$PRODUCT $VERSION Installer.app" && \
cd "$PACKAGEDIR" && \
rm -f "$DMG" && \
hdiutil create "$DMG" -megabytes 5 -ov -type UDIF && \
DISK=`hdid -nomount "$DMG" | sed -ne ' /Apple_partition_scheme/ s|^/dev/\([^ ]*\).*$|\1|p'` && \
newfs_hfs -v "$VOL" "/dev/r${DISK}s2" && \
hdiutil eject "$DISK" && \
hdid "$DMG" && \
ditto -rsrc "$DSTROOT" "$MOUNTPOINT" && \
chmod -R a+rX,u+w "$MOUNTPOINT" && \
openUp "$MOUNTPOINT" && \
hdiutil eject $DISK && \
hdiutil convert "$DMG" -format UDZO -imagekey zlib-level=9 -o "z$DMG" && \
mv "z$DMG" "$DMG" && \
hdiutil internet-enable "$DMG" && \
scp "$DMG" ainaz:web/nriley/software/
:

